Loading...
Searching...
No Matches
Opm::FilterCake Struct Reference

## Public Types

enum class | FilterCakeGeometry { LINEAR , RADIAL , LINRAD , NONE }

## Public Member Functions

| FilterCake (const DeckRecord &record, const KeywordLocation &location)
template<class Serializer>
void | serializeOp (Serializer &serializer)
bool | operator== (const FilterCake &other) const
void | applyCleanMultiplier (const double factor)

## Static Public Member Functions

static FilterCakeGeometry | filterCakeGeometryFromString (const std::string &str, const KeywordLocation &location)
static std::string | filterCakeGeometryToString (const FilterCakeGeometry &geometry)
static FilterCake | serializationTestObject ()
static std::string | filterCakeToString (const FilterCake &fc)

## Public Attributes

FilterCakeGeometry | geometry {FilterCakeGeometry::NONE}
double | perm {0.}
double | poro {0.}
std::optional< double > | radius
std::optional< double > | flow_area
double | sf_multiplier {1.}

The documentation for this struct was generated from the following files:

- opm/input/eclipse/Schedule/Well/FilterCake.hpp
- opm/input/eclipse/Schedule/Well/FilterCake.cpp